<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2016 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License
  -->

<!--
This XML file declares which signature|privileged permissions should be granted to privileged
applications that come with the miui
-->
<permissions>
    <permission name="android.permission.ACCESS_THEME">
        <group gid="theme" />
    </permission>

    <privapp-permissions package="com.miui.gallery">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="mediatek.permission.ACCESS_APU_SYS"/>
        <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND"/>
    </privapp-permissions>
    <privapp-permissions package="com.android.quicksearchbox">
        <permission name="android.permission.GLOBAL_SEARCH"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_FRAME_BUFFER"/>
        <permission name="android.permission.DUMP"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.READ_CLIPBOARD_IN_BACKGROUND"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>
    <privapp-permissions package="com.android.providers.downloads">
        <permission name="android.permission.DUMP"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.downloads.ui">
        <permission name="android.permission.MODIFY_NETWORK_ACCOUNTING"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.securitycenter">
        <permission name="android.permission.ACCESS_CACHE_FILESYSTEM"/>
        <permission name="android.permission.BACKUP"/>
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.CONTROL_VPN"/>
        <permission name="android.permission.DELETE_CACHE_FILES"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.GET_APP_OPS_STATS"/>
        <permission name="android.permission.MANAGE_USB"/>
        <permission name="android.permission.MASTER_CLEAR"/>
        <permission name="android.permission.MODIFY_NETWORK_ACCOUNTING"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.PACKAGE_VERIFICATION_AGENT"/>
        <permission name="android.permission.READ_LOGS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE"/>
        <permission name="android.permission.ACCESS_MTP"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="com.lbe.security.miui">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.GET_APP_OPS_STATS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.SET_PROCESS_LIMIT"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.READ_CLIPBOARD_IN_BACKGROUND"/>
        <permission name="android.permission.READ_COMPAT_CHANGE_CONFIG" />
        <permission name="android.permission.LOG_COMPAT_CHANGE" />
    </privapp-permissions>

    <privapp-permissions package="com.miui.packageinstaller">
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.MANAGE_DEVICE_ADMINS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.ACCESS_MTP"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.cleanmaster">
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.READ_LOGS"/>
        <permission name="android.permission.ACCESS_MTP"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.cleaner">
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.WRITE_SETTINGS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.REQUEST_INSTALL_PACKAGES"/>
        <permission name="android.permission.SYSTEM_ALERT_WINDOW"/>
        <permission name="android.permission.BIND_JOB_SERVICE"/>
        <permission name="android.permission.ACCESS_MTP"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS_FULL"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.gallery">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.player">
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.ACCESS_THEME"/>
    </privapp-permissions>

    <privapp-permissions package="com.xiaomi.midrop">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOCATION_HARDWARE"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
    </privapp-permissions>

    <privapp-permissions package="com.xiaomi.finddevice">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USB"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MASTER_CLEAR"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.SET_TIME"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS" />
        <permission name="android.permission.MANAGE_APP_OPS_MODES" />
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
    </privapp-permissions>

    <privapp-permissions package="com.xiaomi.scanner">
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.browser">
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES" />
        <permission name="android.permission.WRITE_SECURE_SETTINGS" />
    </privapp-permissions>
    <privapp-permissions package="com.mi.globalbrowser">
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>
    <privapp-permissions package="com.android.soundrecorder">
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
    </privapp-permissions>

     <privapp-permissions package="com.android.incallui">
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT"/>
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.backup">
        <permission name="android.permission.BACKUP"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.GET_APP_OPS_STATS"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.LOCATION_HARDWARE"/>
        <permission name="android.permission.MANAGE_DEVICE_ADMINS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.huanji">
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.cloudbackup">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_DEVICE_ADMINS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.ACCESS_MTP"/>
        <permission name="android.permission.START_FOREGROUND_SERVICES_FROM_BACKGROUND"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.home">
        <permission name="android.permission.BIND_APPWIDGET"/>
        <permission name="android.permission.BIND_WALLPAPER"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.DUMP"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_FRAME_BUFFER"/>
        <permission name="android.permission.SET_PROCESS_LIMIT"/>
        <permission name="android.permission.SET_WALLPAPER_COMPONENT"/>
        <permission name="android.permission.START_TASKS_FROM_RECENTS"/>
        <permission name="android.permission.CONTROL_REMOTE_APP_TRANSITION_ANIMATIONS"/>
        <permission name="android.permission.INTERNAL_SYSTEM_WINDOW"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.MANAGE_ACTIVITY_STACKS"/>
	<permission name="android.permission.FORCE_STOP_PACKAGES"/>
	<permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.ACCESS_THEME"/>
    </privapp-permissions>

    <privapp-permissions package="com.mi.android.globallauncher">
        <permission name="android.permission.BIND_REMOTEVIEWS"/>
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.BIND_WALLPAPER"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.DUMP"/>
        <permission name="android.permission.SET_WALLPAPER_COMPONENT"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.BIND_APPWIDGET"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.READ_FRAME_BUFFER"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.SET_PROCESS_LIMIT"/>

        <permission name="android.permission.START_TASKS_FROM_RECENTS" />
        <permission name="android.permission.CONTROL_REMOTE_APP_TRANSITION_ANIMATIONS" />
        <permission name="android.permission.INTERNAL_SYSTEM_WINDOW" />
        <permission name="android.permission.REAL_GET_TASKS" />
        <permission name="android.permission.MANAGE_ACTIVITY_STACKS" />
        <permission name="android.permission.FORCE_STOP_PACKAGES" />
    </privapp-permissions>

    <privapp-permissions package="com.miui.personalassistant">
        <permission name="android.permission.BIND_REMOTEVIEWS"/>
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.READ_FRAME_BUFFER"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.START_TASKS_FROM_RECENTS"/>
        <permission name="android.permission.INTERNAL_SYSTEM_WINDOW"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.BIND_APPWIDGET"/>
        <permission name="android.permission.READ_WALLPAPER_INTERNAL"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.contentextension">
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_FRAME_BUFFER"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS" />
    </privapp-permissions>

    <privapp-permissions package="com.miui.yellowpage">
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
        <permission name="com.android.voicemail.permission.WRITE_VOICEMAIL"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS" />
    </privapp-permissions>

    <privapp-permissions package="com.miui.video">
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS_FULL"/>
        <permission name="android.permission.MANAGE_USERS"/>
	    <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
	    <permission name="android.permission.MANAGE_ACTIVITY_STACKS"/>
	    <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.audioeffect">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.contacts">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.ALLOW_ANY_CODEC_FOR_PLAYBACK"/>
        <permission name="android.permission.BIND_DIRECTORY_SEARCH"/>
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.mms">
        <permission name="android.permission.CALL_PRIVILEGED"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_LOGS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.SEND_RESPOND_VIA_MESSAGE"/>
        <permission name="android.permission.SEND_SMS_NO_CONFIRMATION"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.calendar">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
    </privapp-permissions>

    <privapp-permissions package="com.xiaomi.calendar">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.phone">
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.camera">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="mediatek.permission.ACCESS_APU_SYS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.SYSTEM_CAMERA"/>
        <permission name="android.permission.LOG_COMPAT_CHANGE" />
        <permission name="android.permission.READ_COMPAT_CHANGE_CONFIG" />
        <permission name="android.permission.CONTROL_DEVICE_STATE" />
    </privapp-permissions>
    <privapp-permissions package="com.xiaomi.mimoji">
        <permission name="android.permission.CAMERA"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
    </privapp-permissions>

    <privapp-permissions package="com.mlab.cam">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.MANAGE_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.extraphoto">
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.keyguard">
        <permission name="android.permission.BIND_APPWIDGET"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.provision">
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.SHUTDOWN"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.settings">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.DELETE_CACHE_FILES"/>
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE"/>
        <permission name="android.permission.OBSERVE_APP_USAGE"/>
        <permission name="android.permission.CONTROL_DISPLAY_COLOR_TRANSFORMS"/>
        <permission name="android.permission.ACCESS_CHECKIN_PROPERTIES"/>
        <permission name="android.permission.USE_RESERVED_DISK"/>
        <permission name="android.permission.MASTER_CLEAR"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <permission name="android.permission.MANAGE_USB"/>
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.TETHER_PRIVILEGED"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.MANAGE_DEBUGGING"/>
        <permission name="android.permission.MOVE_PACKAGE"/>
        <permission name="android.permission.READ_SEARCH_INDEXABLES"/>
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.SET_TIME"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.BACKUP"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.USER_ACTIVITY"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MANAGE_USER_OEM_UNLOCK_STATE"/>
        <permission name="android.permission.REBOOT"/>
        <permission name="android.permission.CHANGE_APP_IDLE_STATE"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.ACCESS_NOTIFICATIONS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <!--设置解耦app-->
    <privapp-permissions package="com.xiaomi.misettings">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.CLEAR_APP_CACHE"/>
        <permission name="android.permission.DELETE_CACHE_FILES"/>
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE"/>
        <permission name="android.permission.OBSERVE_APP_USAGE"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.ACCESS_NOTIFICATIONS"/>
        <permission name="android.permission.ACCESS_THEME"/>
    </privapp-permissions>

    <privapp-permissions package="android.ext.services">
        <permission name="android.permission.PROVIDE_RESOLVER_RANKER_SERVICE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.apps.tag">
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.cellbroadcastreceiver">
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.musicfx">
        <permission name="android.permission.MODIFY_AUDIO_ROUTING"/>
    </privapp-permissions>

    <privapp-permissions package="com.mi.dlabs.vr">
        <permission name="android.permission.MANAGE_USB"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.virtualsim">
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.systemui">
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.GET_APP_OPS_STATS"/>
        <permission name="android.permission.START_TASKS_FROM_RECENTS"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.MASTER_CLEAR"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.CONTROL_VPN"/>
        <permission name="android.permission.MANAGE_USB"/>
        <permission name="android.permission.BIND_APPWIDGET"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.RECEIVE_MEDIA_RESOURCE_USAGE"/>
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.TETHER_PRIVILEGED"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.READ_DREAM_STATE"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.WRITE_DREAM_STATE"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.CHANGE_DEVICE_IDLE_TEMP_WHITELIST"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.DUMP"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE"/>
        <permission name="android.permission.ACCESS_REVERSED_DISK"/>
        <permission name="android.permission.ACCESS_THEME"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.nfc">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.CONNECTIVITY_INTERNAL"/>
        <permission name="android.permission.DISPATCH_NFC_MESSAGE"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MASTER_CLEAR"/>
        <permission name="android.permission.NFC_HANDOVER_STATUS"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.READ_FRAME_BUFFER"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.USER_ACTIVITY"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.networkproxy">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_LOGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.svox.pico">
        <permission name="android.permission.DELETE_PACKAGES"/>
    </privapp-permissions>

    <privapp-permissions package="com.facebook.system">
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
    </privapp-permissions>
    <privapp-permissions package="com.facebook.services">
        <permission name="android.permission.CHANGE_DEVICE_IDLE_TEMP_WHITELIST"/>
        <permission name="android.permission.INTERNET"/>
        <permission name="android.permission.ACCESS_NETWORK_STATE"/>
        <permission name="android.permission.WAKE_LOCK"/>
        <permission name="android.permission.RECEIVE_BOOT_COMPLETED"/>
    </privapp-permissions>

    <privapp-permissions package="com.mi.android.globalpersonalassistant">
        <permission name="android.permission.BIND_REMOTEVIEWS"/>
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.mi.android.globalminusscreen">
        <permission name="android.permission.BIND_REMOTEVIEWS"/>
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
    </privapp-permissions>

    <privapp-permissions package="com.mi.globalminusscreen">
        <permission name="android.permission.BIND_REMOTEVIEWS"/>
        <permission name="android.permission.MANAGE_FINGERPRINT"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.BIND_APPWIDGET"/>
        <permission name="android.permission.STATUS_BAR"/>
    </privapp-permissions>

    <privapp-permissions package="com.xiaomi.gamecenter.sdk.service">
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS_FULL"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.powercenter">
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.xiaomi.mirecycle">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.freeform">
        <permission name="android.permission.MANAGE_ACTIVITY_STACKS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.xiaomi.mircs">
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.ironsource.appcloud.oobe.hutchison">
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
    </privapp-permissions>

    <privapp-permissions package="com.altice.android.myapps">
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.INSTALL_PACKAGES"/>
        <permission name="android.permission.DELETE_PACKAGES"/>
    </privapp-permissions>

    <privapp-permissions package="com.aspire.cloudbr">
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.SET_PROCESS_LIMIT"/>
        <permission name="android.permission.ACCESS_CHECKIN_PROPERTIES"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
      <permission name="android.permission.MANAGE_APP_OPS_MODES"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.weather2">
        <permission name="android.permission.INSTALL_LOCATION_PROVIDER"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.newhome">
       <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
       <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
       <permission name="android.permission.FORCE_STOP_PACKAGES"/>
       <permission name="android.permission.REAL_GET_TASKS"/>
       <permission name="android.permission.STOP_APP_SWITCHES"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.dmregservice">
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
    </privapp-permissions>

    <privapp-permissions package="com.miui.voicetrigger">
        <permission name="android.permission.MANAGE_SOUND_TRIGGER"/>
        <permission name="android.permission.CAPTURE_AUDIO_HOTWORD"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.mishare.connectivity">
        <permission name="android.permission.BLUETOOTH_PRIVILEGED"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.SYSTEM_ALERT_WINDOW"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.STATUS_BAR"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.miservice">
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.ACCESS_THEME"/>
        <permission name="android.permission.GET_ACCOUNTS_PRIVILEGED"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.vipservice">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.awesomeWidgets">
        <permission name="android.permission.MEDIA_CONTENT_CONTROL"/>
    </privapp-permissions>

    <privapp-permissions package="com.mobiletools.systemhelper">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.wdstechnology.android.kryten">
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
        <permission name="android.permission.SYSTEM_ALERT_WINDOW"/>
    </privapp-permissions>

    <privapp-permissions package="de.telekom.tsc">
        <permission name="android.permission.INSTALL_PACKAGES" />
        <permission name="android.permission.DELETE_PACKAGES" />
        <permission name="android.permission.READ_PHONE_STATE" />
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.PACKAGE_VERIFICATION_AGENT"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND"/>
    </privapp-permissions>

    <privapp-permissions package="com.xiaomi.mirror">
        <permission name="android.permission.SYSTEM_ALERT_WINDOW" />
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT" />
        <permission name="android.permission.READ_CLIPBOARD_IN_BACKGROUND" />
        <permission name="android.permission.MANAGE_ACTIVITY_STACKS" />
        <permission name="android.permission.INJECT_EVENTS" />
        <permission name="android.permission.INTERACT_ACROSS_USERS" />
    </privapp-permissions>

    <privapp-permissions package="com.miui.screenshot">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.INJECT_EVENTS" />
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.systemserver">
        <permission name="android.permission.PROCESS_OUTGOING_CALLS" />
        <permission name="android.permission.READ_PHONE_STATE" />
        <permission name="android.permission.ACCESS_FINE_LOCATION" />
        <permission name="android.permission.WRITE_SETTINGS"/>
        <permission name="android.permission.GET_TASKS"/>
        <permission name="android.permission.WAKE_LOCK"/>
        <permission name="android.permission.DEVICE_POWER"/>
        <permission name="android.permission.ACCESS_NETWORK_STATE"/>
        <permission name="android.permission.ACCESS_WIFI_STATE"/>
        <permission name="android.permission.COMM_FORCE"/>
        <permission name="android.permission.RECEIVE_BOOT_COMPLETED"/>
        <permission name="android.permission.INJECT_EVENTS"/>
        <permission name="android.permission.FOREGROUND_SERVICE"/>
        <permission name="android.permission.REAL_GET_TASKS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

    <privapp-permissions package="com.miui.configsystem">
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.WRITE_APN_SETTINGS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
    </privapp-permissions>

    <privapp-permissions package="com.miui.aod">
        <permission name="android.permission.BIND_WALLPAPER"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.providers.media.module">
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
    </privapp-permissions>
</permissions>
